body {
    text-align: center;
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #fff; /* Alterado para branco */
}

h2.public-sans {
    text-align: center;
    font-family: 'Public Sans', sans-serif;
}

.container {
    max-width: 800px; /* Máxima largura para container */
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 20px;
    border-radius: 10px;
}

header {
    padding: 90px 0;
    text-align: center;
}

header h1 {
    text-align: center;
    margin: 0;
    overflow: hidden;
    border-right: 2px solid #fff;
    white-space: nowrap;
    animation: typewriter 4s steps(30) 1s forwards;
}

header p {
    text-align: center;
    margin: 5px 0;
}

section {
    padding: 40px 0;
}

.portfolio-item {
    margin-bottom: 30px;
}

.portfolio-item img {
    width: 100%;
    border-radius: 8px;
}

footer {
    text-align: center;
    padding: 10px 0;
}

.moldura-imagem {
    position: fixed;
    width: auto;
    height: auto;
    z-index: -1;
    object-fit: cover;
    object-position: center;
}

.conteudo {
    position: relative;
    z-index: 1;
    padding: 20px;
}

.imagem2 {
    display: flex;
    gap: 100px;
    justify-content: space-between;
    align-items: center;
    margin-top: 90px;
    transition: transform 0.5s ease-in-out;
}

.carousel-container {
    width: 100%;
    overflow: hidden;
}

.carousel-slide {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.carousel-slide img {
    width: 100%;
    height: auto;
}

.botao {
    width: 100px;
    font-style: oblique;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.fixed-nav {
    font-family: 'Inter' sans-serif;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    z-index: 1000;
    transition: background-color 0.3s ease; 
}

.scrolled {
    background-color: #f5f5f5;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
    
    nav.fixed-nav {
        
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        background-color: #d8d8d8d4; 
        z-index: 1000;
        transition: background-color 0.3s ease; 
    }

    nav ul {
        display: flex;
        justify-content: space-around;
        align-items: center;
        list-style: none;
        margin: 10;
        padding: 0;
    }

    nav li {
        margin: 0;
    }

    nav a {
        text-decoration: none;
        color: #333; 
    }
